=== debian/control ===
Source: libf2c2
Section: devel
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Homepage: http://www.netlib.org/f2c/index.html
Vcs-Git: git://anonscm.debian.org/collab-maint/libf2c2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libf2c2.git

Package: libf2c2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: f2c (<< 20050501-1)
Description: Shared libraries for use with FORTRAN applications
 These are the shared libraries required for running 
 applications containing a component written in FORTRAN 
 which was converted to C using the FORTRAN to C translator
 f2c.

Package: libf2c2-dev
Section: libdevel
Architecture: any
Depends: libf2c2 (= ${binary:Version}), libc6-dev
Conflicts: f2c (<< 20050501-1)
Description: Development libraries for use with f2c 
 These are the necessary static libraries and header
 files for an implementation of the fortran intrinsic
 functions and IO functions.  
 .
 They are required when linking applications built from the 
 C output from the FORTRAN to C translator f2c.
