## libf2c2 20130926

=== debian/changelog ===
libf2c2 (20130926-3) unstable; urgency=medium

  * Team upload.
  * Move packaging to salsa.debian.org
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2018 13:36:24 +0100

libf2c2 (20130926-2) unstable; urgency=medium

  * Team upload
  * Make suitable for creating libraries to be used in non-Fortran programs
    (thanks for the patch to Christian Seiler <christian@iwakd.de>)
    Closes: #826253

 -- Andreas Tille <tille@debian.org>  Fri, 03 Jun 2016 22:11:58 +0200

libf2c2 (20130926-1) unstable; urgency=medium

  * Team upload

  [ Barak A. Pearlmutter ]
  * New upstream version

  [ Andreas Tille ]
  * Add two files that are included in the clapack source but missing here
  * Propagate CFLAGS to make sure clapack tests will succeed
  * cme fix dpkg-control
  * lintian-override for hardening-no-bindnow since this should not be set
  * Conflicts with lower version should be Breaks

 -- Andreas Tille <tille@debian.org>  Thu, 26 May 2016 08:38:04 +0200
