=== debian/control ===
Source: libf2c2
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-exec
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/libf2c2
Vcs-Git: https://salsa.debian.org/debian/libf2c2.git
Homepage: http://www.netlib.org/f2c/index.html

Package: libf2c2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for use with FORTRAN applications
 These are the shared libraries required for running 
 applications containing a component written in FORTRAN 
 which was converted to C using the FORTRAN to C translator
 f2c.

Package: libf2c2-dev
Architecture: any
Section: libdevel
Depends: libf2c2 (= ${binary:Version}),
         libc6-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Development libraries for use with f2c
 These are the necessary static libraries and header
 files for an implementation of the fortran intrinsic
 functions and IO functions.  
 .
 They are required when linking applications built from the 
 C output from the FORTRAN to C translator f2c.
