## libf2c2 20140711

=== debian/changelog ===
libf2c2 (20140711-1) unstable; urgency=medium

  [Helmut Grohne]
  * Fix FTCBFS: (Closes: #964374)
    + Let dh_auto_build pass cross tools to make.
    + Make debian/make_lib use the passed cross compiler.
    + Pass a cross ld from dpkg's buildtools.mk to make.
    + cross.patch: Make ld substitutable in makefile.u.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Barak A. Pearlmutter ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Expand comment in debian/watch
  * Patches to use u?int*_t and size_t (closes: #748989, #800040)
  * Take multi-arch hinter's hints (closes: #964373)
  * Ditch dh-exec in favour of dh13 facilities
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 11 Jul 2020 00:07:57 +0100
