## libf2c2 20240504

=== debian/changelog ===
libf2c2 (20240504-1) unstable; urgency=medium

  * Permanent URL redirect.
  * Remove unused subst variable.
  * Track changes to lintian output format.
  * New upstream version
  * Update standards version to 4.7.0, no changes needed.
  * Forward port patches.
  * Remove now-unnecessary patch, as upstream removed problematic fprintf.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Jun 2024 16:59:10 +0100
