=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libf2c2
 Vcs-Git: https://salsa.debian.org/debian/libf2c2.git
-Homepage: https://www.netlib.org/f2c/index.html
+Homepage: https://netlib.org/f2c/index.html
 
 Package: libf2c2
 Architecture: any
@@ -28,7 +28,6 @@
 Section: libdevel
 Depends: libf2c2 (= ${binary:Version}),
          libc6-dev,
-         ${shlibs:Depends},
          ${misc:Depends}
 Description: Development libraries for use with f2c
  These are the necessary static libraries and header
